开始强制 TOTP 注册
curl --request POST \
--url https://api.qbank.cl/platform/v1/auth/register/2fa/totp/begin \
--header 'Content-Type: application/json' \
--data '
{
"pending_token": "eyJ..."
}
'import requests
url = "https://api.qbank.cl/platform/v1/auth/register/2fa/totp/begin"
payload = { "pending_token": "eyJ..." }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pending_token: 'eyJ...'})
};
fetch('https://api.qbank.cl/platform/v1/auth/register/2fa/totp/begin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/auth/register/2fa/totp/begin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pending_token' => 'eyJ...'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/auth/register/2fa/totp/begin"
payload := strings.NewReader("{\n \"pending_token\": \"eyJ...\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/auth/register/2fa/totp/begin")
.header("Content-Type", "application/json")
.body("{\n \"pending_token\": \"eyJ...\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/auth/register/2fa/totp/begin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"pending_token\": \"eyJ...\"\n}"
response = http.request(request)
puts response.read_body{
"totp_secret": "JBSWY3DPEHPK3PXP",
"otpauth_uri": "otpauth://totp/CBPay:ana@example.com?secret=JBSWY3DPEHPK3PXP",
"qr_png_base64": "iVBORw0KGgoAAAANSUhEUg...",
"steps": [
"1. 打开身份验证器应用",
"2. 扫描 QR 码",
"3. 输入六位代码"
],
"note": "在身份验证器应用中扫描 QR,然后调用 POST /v1/auth/register/2fa/totp/confirm 确认"
}{
"access_token": "eyJ...",
"expires_at": "2026-10-22T19:00:00Z",
"refresh_token": "rt_...",
"refresh_expires_at": "2026-11-20T19:00:00Z",
"account": {
"id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"
}
}开始强制 TOTP 注册
使用有效期 30 分钟的注册待处理令牌创建身份验证器密钥和 QR 数据。不接受会话令牌。
POST
/
v1
/
auth
/
register
/
2fa
/
totp
/
begin
开始强制 TOTP 注册
curl --request POST \
--url https://api.qbank.cl/platform/v1/auth/register/2fa/totp/begin \
--header 'Content-Type: application/json' \
--data '
{
"pending_token": "eyJ..."
}
'import requests
url = "https://api.qbank.cl/platform/v1/auth/register/2fa/totp/begin"
payload = { "pending_token": "eyJ..." }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pending_token: 'eyJ...'})
};
fetch('https://api.qbank.cl/platform/v1/auth/register/2fa/totp/begin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/auth/register/2fa/totp/begin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pending_token' => 'eyJ...'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/auth/register/2fa/totp/begin"
payload := strings.NewReader("{\n \"pending_token\": \"eyJ...\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/auth/register/2fa/totp/begin")
.header("Content-Type", "application/json")
.body("{\n \"pending_token\": \"eyJ...\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/auth/register/2fa/totp/begin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"pending_token\": \"eyJ...\"\n}"
response = http.request(request)
puts response.read_body{
"totp_secret": "JBSWY3DPEHPK3PXP",
"otpauth_uri": "otpauth://totp/CBPay:ana@example.com?secret=JBSWY3DPEHPK3PXP",
"qr_png_base64": "iVBORw0KGgoAAAANSUhEUg...",
"steps": [
"1. 打开身份验证器应用",
"2. 扫描 QR 码",
"3. 输入六位代码"
],
"note": "在身份验证器应用中扫描 QR,然后调用 POST /v1/auth/register/2fa/totp/confirm 确认"
}{
"access_token": "eyJ...",
"expires_at": "2026-10-22T19:00:00Z",
"refresh_token": "rt_...",
"refresh_expires_at": "2026-11-20T19:00:00Z",
"account": {
"id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"
}
}请求体
application/json
响应
TOTP 设置数据。